program PuzzleEditor;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}
  cthreads,
  {$ENDIF}
  {$IFDEF HASAMIGA}
  athreads,
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  SysUtils,
  Forms, Dialogs, opensslsockets, untData, frmHome;

{$R *.res}

var
  AMDPro3Path: string;
  ADataPath: string;
begin
  AMDPro3Path:= ExtractFilePath(ParamStr(0)) + 'MDPro3.exe';
  ADataPath:= ExtractFilePath(ParamStr(0)) + 'Data';
  if (not FileExists(AMDPro3Path)) or (not DirectoryExists(ADataPath)) then begin
    ShowMessage('请将残局编辑器放置到 MDPro3 的安装目录下');
    Exit;
  end;

  RequireDerivedFormResource:=True;
  Application.Scaled:=True;
  Application.Initialize;
  Application.CreateForm(TFormHome, FormHome);
  Application.Run;
end.

